CON
 _clkmode        = xtal1 + pll16x
 _xinfreq        = 5_000_000

OBJ
  vp : "conduit"                  ' Add

VAR

  long frame[400]                 ' Add
  long ms, s, m, io               ' Add io variable
  long t, dt
  
PUB TestTimekeeping

  vp.config(string("var:ms,s,m,io")) ' Add (optional)
  vp.share(@ms, @io)              ' Add
  waitcnt(clkfreq + cnt)          ' Add 

  dira[6..4]~~
  t  := cnt
  dt := clkfreq/1000

  repeat
    io := ina
    'waitcnt(t+=dt)               'Modify 
    waitcnt(dt+cnt) 
    ms++
    outa[4] := ms
    if ms//1000 == 0
      s++
      outa[5] := s
      if s//60 == 0
        m++
        outa[6] := m
